# &adminguide;

## Overview

This module collects the Transformations for 3GPP-SMS.

## Dependencies

### &kamailio; Modules

The following modules must be loaded before this module:

- No dependencies on other &kamailio; modules.

### External Libraries or Applications

The following libraries or applications must be installed before running &kamailio; with this module loaded:

- None.

## Parameters

There are no configurable Parameters yet

## Functions

### `isRPDATA()`

Returns true, if the message contains RP-Data in its body.

This function can be used from REQUEST_ROUTE.

#### `isRPDATA()` usage

    ...
    if (isRPDATA())
    {
        ...
    }
    ...

### `smsdump()`

Dumps the content of a 3GPP-SMS message to the Debug-Log.

Please make sure, to have debug-Log enabled. Otherwise, you won't see anything.

This function can be used from REQUEST_ROUTE.

#### `smsdump()` usage

    ...
    smsdump();
    ...

## Variables

Several variables are exported by the module to access the attributes of the SMS.

- $smsack

  $smsbody

  $rpdata(key)

  $tpdu(key)